Subject: Re: [Bridge-mib] I-D ACTION:draft-ietf-bridge-bridgemib-smiv2-01 .txt

From: "Les Bell" <[email-masked]>
Date: Mon, 3 Dec 2001 16:42:42 +0000

I have just downloaded this draft from the URL:

http://www.ietf.org/internet-drafts/draft-ietf-bridge-bridgemib-smiv2-01.txt

It contains the following definitions:

    dot1dStpTimeSinceTopologyChange OBJECT-TYPE
        SYNTAX      TimeTicks
        MAX-ACCESS  read-only
        STATUS      current
        DESCRIPTION
            "The time (in hundredths of a second) since the
            last time a topology change was detected by the
            bridge entity.
            For RSTP, this reports the time since the tcWhile timer for
            any port on this Bridge was non-zero."
        REFERENCE
            " IEEE 802.1w clause 14.8.1.1."
        ::= { dot1dStp 3 }

    dot1dStpTopChanges OBJECT-TYPE
        SYNTAX      Counter32
        MAX-ACCESS  read-only
        STATUS      current
        DESCRIPTION
            "The total number of topology changes detected by
            this bridge since the management entity was last
            reset or initialized.
            For RSTP, this reports the count of times that there have
            been at least one non-zero tcWhile timer on this Bridge."
        REFERENCE
            " IEEE 802.1w clause 14.8.1.1."
        ::= { dot1dStp 4 }

Also, in section 2.1, on page 5, you will find the following explanation as to
why certain STP parameters have not been included in the MIB.  This is the same
as in RFC 1493.

       SpanningTreeProtocolPort
           .Uptime                     Same as ifLastChange (MIB II)
           .PortIdentifier             Combination of dot1dStpPort
                                       and dot1dStpPortPriority
           .TopologyChangeAcknowledged Since this is transitory, it
                                       is not considered useful.
           .DiscardLackOfBuffers       Redundant

I have included the Port Role (along with the legacy neighbour and the received
BPDU counts) in the list of issues to be discussed at the IETF Bridge-MIB WG
meeting in Salt Lake City next week.

Les...

[email-masked] (Alex Ruzin)@ietf.org on 02/12/2001 10:16:36

Please respond to <[email-masked]>

Sent by:  [email-masked]

To:   <[email-masked]>, <[email-masked]>, <[email-masked]>,
      <[email-masked]>
cc:
Subject:  Re: [Bridge-mib] I-D ACTION:draft-ietf-bridge-bridgemib-smiv2-01.txt

Hi,

I can't find in the draft (as far as in the legacy MIB):
- In the "Bridge protocol parameters"  - "Topology Change" (14.8.1.1.3.d);
legacy STP RFC1493 had
  only dot1dStpTimeSinceTopologyChange (reflects "Time Since Topology
Change", 14.8.1.1.3.b)
  and dot1dStpTopChanges ("Topology Change Count", 14.8.1.1.3.c)

- In "Port Parameters" - Uptime (18.8.2.1.3.a) and "Topology Change
Acknowledge" (14.8.2.1.3.i)

Would you like to point me, which old or new MIB fields reflect these
parameters ?
Or: why they are not reflected ?

Are IETF & IEEE going to get as managed objects "Port Role" ?

Best regards, Alex

_______________________________________________
Bridge-mib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/bridge-mib

_______________________________________________
Bridge-mib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/bridge-mib

---

From: [email-masked] (Alex Ruzin)
Date: Tue, 4 Dec 2001 13:13:30 +0200

Thank you for the explanations.
Next question: are you going to discuss the possibility to
support an object like dot1dStpPortAdminPathCost to allow automatic
selection of "Port Path Cost" as a function of the speed of the
attached LAN (IEEE 802.1t, Table 8-5) ?

I mean something like (instead of dot1dStpPortPathCost): 
:
          dot1dStpPortAdminPathCost OBJECT-TYPE
              SYNTAX  INTEGER (0..65535)
              ACCESS  read-write
              STATUS  mandatory
              DESCRIPTION
                      "The administrative value of the Port Cost parameter.
                       The value 0 means, that Port Cost will be selected
                       automatically in correspondence with the speed of
                       the attached LAN (Table 8-5) and with the value
                       of dot1dStpPathCostDefault."
              REFERENCE
                      "IEEE 802.1w Section 8.5.5.3, 17.16.5, 17.28.2"
              ::= { dot1dStpExtPortEntry 6 }

          dot1dStpPortOperPathCost OBJECT-TYPE
              SYNTAX  INTEGER 
              ACCESS  read-only
              STATUS  mandatory
              DESCRIPTION
                      "The operational value of the Port Cost parameter.
                       The contribution of this port to the path cost of
                      paths towards the spanning tree root which include
                      this port.  802.1D-1990 recommends that the
                      default value of this parameter be in inverse
                      proportion to the speed of the attached LAN."
              REFERENCE
                      "IEEE 802.1w Section 8.5.5.3, 17.16.5, 17.28.2"
              ::= { dot1dStpExtPortEntry 7 }

Best regards, Alex

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]]On Behalf Of Les Bell
> Sent: Monday, December 03, 2001 6:43 PM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]; 
> [email-masked]
> Subject: Re: [Bridge-mib] I-D 
> ACTION:draft-ietf-bridge-bridgemib-smiv2-01.txt
> 
> 
> 
> 
> 
> Subject:  Re: [Bridge-mib] I-D 
> ACTION:draft-ietf-bridge-bridgemib-smiv2-01.txt
> 
> 
> Hi,
>